<?php
define('GCMS',true);
define('ROOT','../');
require_once (ROOT.'system/power.php');
if ($aut) {
///Главная
$diz -> head('Поиск файлов');
$diz -> title('Поиск файлов');
if (!isset($_POST['submit'])) {
$msg .= '<form action="poisk.php" method="POST"><div>';
$msg .= '<div class="fon">Тип поиска:<br/><select name="tip"><option value="name">По имени</option><option value="info">По описанию</option></select><br/>';
$msg .= 'Запрос:<br/><input type="text" name="zap" value="" maxlength="40"/><br/>
<input type="submit" name="submit" value="Найти"/>
</div></form></div>';
$msg .= '<div class="levo">'.$diz -> img('back.png').'<a href="./">Обменник файлов</a></br>';
$msg .= ''.$diz -> img('home.png').'<a href="/index.php">На главную</a></div>';
} else {
$diz -> head('результат поиска');
$zap = shit($_POST['zap']);
$tip = shit($_POST['tip']);
$count = $db -> query("Select * FROM `obmen_files` WHERE `$tip` like '%".$zap."%'")-> fetch_assoc();
if ($count > 0) {
$sql = $db -> query("SELECT * FROM `obmen_files` WHERE `$tip` like '%".$zap."%' ORDER BY `id` DESC");
while ($arr = $sql -> fetch_assoc()) {
$ext = strtolower(pathinfo($arr['infolder'], PATHINFO_EXTENSION));
if ($ext == 'gif' || $ext == 'jpeg' || $ext == 'jpg' || $ext == 'png') {
$type=''.$diz -> img('obmen/img.gif').'';
}
else if ($ext == 'mp3' || $ext == 'wav') {
$type=''.$diz -> img('obmen/mp3.gif').'';
}
else if ($ext == 'jar') {
$type=''.$diz -> img('obmen/jar.png').'';
}
else if ($ext == 'txt') {
$type=''.$diz -> img('obmen/byb.gif').'';
}
else if ($ext == '3gp' || $ext == 'avi' || $ext == 'mp4' || $ext == 'flv') {
$type=''.$diz -> img('obmen/video.gif').'';
}
else if ($ext == 'rar') {
$type=''.$diz -> img('obmen/rar.png').'';
}
else if ($ext == 'zip') {
$type=''.$diz -> img('obmen/zip.png').'';
}
else {
$type=''.$diz -> img('obmen/other.gif').'';
}
$msg .= '<div class="post">'.$type.' <a href="./view/'.$arr['id'].'/">'.htmlspecialchars($arr['name']).'</a> ('.$func -> size(filesize($arr['infolder'])).')<br/>	</table></div>';
}
} else $msg .= '<div class="fon">Файлов по данному запросу не найдено..</div>';
$msg .= '<div class="levo">'.$diz -> img('obmen/poisk.png').'<a href="./poisk.php">Поиск файлов</a></br>
'.$diz -> img('back.png').'<a href="./">Обменник файлов</a></br>';
$msg .= ''.$diz -> img('home.png').'<a href="/index.php">На главную</a></div>';
    }
#####Копирайт#######
require_once (ROOT.'system/kopy.php');
$diz -> out($msg);
} else {
header('location: ../aut.php');
}
?>